Static Public Member Functions

# BinNavi.API.reil.ReilHelpers Class Reference

Provides oft-used REIL functions. More...

List of all members.

## Static Public Member Functions
static boolean | isFunctionCall (final ReilInstruction instruction)
| Checks whether an instruction is a function call.
static boolean | isNativeRegister (final ReilOperand operand)
static boolean | isRegister (final ReilOperand operand)
static boolean | isReilRegister (final ReilOperand operand)
static boolean | isReilRegister (final String value)
static boolean | isTernaryInstruction (final ReilInstruction instruction)
static boolean | isUnconditionalJump (final ReilInstruction instruction)
static Address | toNativeAddress (final Address address)
| Converts REIL addresses to native addresses.
static Address | toReilAddress (final Address address)
| Converts native addresses to REIL addresses.

## Detailed Description

This class provides a few helper functions which are very useful while working with REIL code.

## Member Function Documentation

static boolean BinNavi.API.reil.ReilHelpers.isFunctionCall | ( | final ReilInstruction | instruction | ) | `[static]`

Determines whether a given REIL instruction is a function call.

Parameters:

  | instruction | The instruction to check.

Returns:
  True, if the instruction is a function call. False, otherwise.

static boolean BinNavi.API.reil.ReilHelpers.isNativeRegister | ( | final ReilOperand | operand | ) | `[static]`

Determines whether a given operand is a native register.

Parameters:

  | operand | The value to check.

Returns:
  True, if the operand is a native register. False, otherwise.

static boolean BinNavi.API.reil.ReilHelpers.isRegister | ( | final ReilOperand | operand | ) | `[static]`

Determines whether a given REIL operand is a register.

Parameters:

  | operand | The REIL operand to check.

Returns:
  True, if the operand is a register operand. False, otherwise.

static boolean BinNavi.API.reil.ReilHelpers.isReilRegister | ( | final ReilOperand | operand | ) | `[static]`

Determines whether a given operand is a REIL register.

Parameters:

  | operand | The operand to check.

Returns:
  True, if the operand is a REIL register. False, otherwise.

static boolean BinNavi.API.reil.ReilHelpers.isReilRegister | ( | final String | value | ) | `[static]`

Determines whether a given string value is a REIL register.

Parameters:

  | value | The string value to check.

Returns:
  True, if the string value is a REIL register. False, otherwise.

static boolean BinNavi.API.reil.ReilHelpers.isTernaryInstruction | ( | final ReilInstruction | instruction | ) | `[static]`

Determines whether a given REIL instruction is one of the ternary instructions that use all of their operands.

Parameters:

  | instruction | The REIL instruction to check.

Returns:
  True, if the instruction is a ternary instruction. False, otherwise.

static boolean BinNavi.API.reil.ReilHelpers.isUnconditionalJump | ( | final ReilInstruction | instruction | ) | `[static]`

Determines whether a given REIL instruction is an unconditional jump instruction.

Parameters:

  | instruction | The REIL instruction to check.

Returns:
  True, if the REIL instruction is an unconditional jump instruction. False, otherwise.

static Address BinNavi.API.reil.ReilHelpers.toNativeAddress | ( | final Address | address | ) | `[static]`

Converts a REIL address to a native address by getting rid of the lowest 8 bits of the REIL input address.

Parameters:

  | address | A REIL address.

Returns:
  A native address.

static Address BinNavi.API.reil.ReilHelpers.toReilAddress | ( | final Address | address | ) | `[static]`

Converts a native address to a REIL address by multiplying the native address by 0x100.

Parameters:

  | address | A native address.

Returns:
  A REIL address.